Add-on has been marked as broken in repository... FOR ALL ADD-ONS?
#1
Okay,I have a problem. Virtually ALL my add-ons nearly are maked as broken including youtube, rotten tomatos "according to the repository.

I'm using XBMC alpha frodo because its been my most stable version of XBMC so far apart from this.

I have installed and uninstalled the newest RC frodo. could this be the cause?
Major Props Poofy and Eskro! Check out their sigs for the best help/advice.
Reply
#2
yup, most addons in the repo require an RC build.
they're not compatible with alpha / beta frodo builds (or even RC1 iirc).
Do not PM or e-mail Team-Kodi members directly asking for support.
Always read the Forum rules, Kodi online-manual, FAQ, Help and Search the forum before posting.
Reply
#3
even when I went to RC, the add-ons all were reported as broken.

Is there a way that I can have XBMC alpha frodo alongside RC2?

RC2 is just SO SO SO slow for me!
Major Props Poofy and Eskro! Check out their sigs for the best help/advice.
Reply
#4
then maybe it time to check what exactly is the problem with RC3? Since we are close to frodo final, it'd be a good idea to check if there really is a problem.
Reply
#5
There's no problem!

On the addons page select the xbmc.org repo and bring up context menu, select force refresh and then do it again and select update.

uNi

Reply
#6
If anyone is searching for xbmc.oeg repo it's in Get add-ons sub page.
Add-ons -> Get add-ons -> XBMC repo (context -> force refresh)
Reply
#7
Forgive me being a bit daft here but when I go into

add ons -> get add ons ->

XBMC repo....... doesn't show?

What am I missing?
Reply
#8
Can someone help me out please?
I too have the same issues and I have spent the last 6 hours non stop trying to find a resolution
I am running a nightly Android build (pre-v13 "Gotham")

Its the same situation really. A load of add ons are marked as Incompatible... Including ProjectFreeTV which I really want.

please help?
Im getting seriously pee'd off trying to fix this
Reply
#9
Contact the developer of that add on
Ask him about Gotham support.
LibreElec Kodi | Aeon MQ7 | Onkyo TX-SR875 | Teufel System 5 THX Cinema 5.1 
SuperMicro Server WSE2012R2 | E3-1241 v3 | RAM 32 GB | Drivepool 18TB
Reply
#10
(2014-02-21, 04:47)djustoe Wrote: Can someone help me out please?
I too have the same issues and I have spent the last 6 hours non stop trying to find a resolution
I am running a nightly Android build (pre-v13 "Gotham")

Its the same situation really. A load of add ons are marked as Incompatible... Including ProjectFreeTV which I really want.

please help?
Im getting seriously pee'd off trying to fix this

Aside from doing what was suggested above, to contact the addon developers, (which is the actual solution), a workaround that is working for me is the following:

I have XBMC on Windows, Linux, and Android. Since I am running Android 4.4.2, I require XBMC Alpha, since older versions of XBMC do not work on 4.4.2. Unfortunately, the dependency problems occur. As a workaround, when I copy my '.xbmc' folder onto my Android from, for example, my Linux machine, I do these steps to ensure it works:

1. Delete all the repos folders in '/.xbmc/addons,' 'commoncache.db' and 'cookies.dat' in '/.xbmc/temp,' all but the 'CDDB' folder in '/.xbmc/userdata/Database/,' and all in '/.xbmc/userdata/Thumbnails.'
2. Change all 'xbmc.python' versions in all addons to '2.1.0'. If copying from Linux or Windows, as it's easier to do this is on an actual computer, it can be done with one line when opening a terminal window in the '.xbmc' folder and typing:

find . -type f -exec sed -i s/'addon="xbmc.python"\ version="2.0"'/'addon="xbmc.python"\ version="2.1.0"'/g {} + && find . -type f -exec sed -i s/'addon="xbmc.python"\ version="1.0"'/'addon="xbmc.python"\ version="2.1.0"'/g {} +

Now, when run in Android, instead of numerous addons being market as broken, I only get one or two (ones built-in). And these actually haven't popped up in a while. The one flaw here is none of your addons can update via extra repos, but at least it's something.
Reply
#11
Worst advice ever. There's a damn good reason why they are marked like that.
Read/follow the forum rules.
For troubleshooting and bug reporting, read this first
Interested in seeing some YouTube videos about Kodi? Go here and subscribe
Reply
#12
I took an easier option over the weekend
I simply downgrade to Frodo and everything is working fine Smile
Reply
#13
what do you mean Frodo?
Reply
#14
Frodo is the codename for XBMC/Kodi v12. However, this is not advisable in 2016, as the v12/Frodo add-on repo is no longer used.
Reply
 
Thread Rating:
  • 0 Vote(s) - 0 Average



Logout Mark Read Team Forum Stats Members Help
Add-on has been marked as broken in repository... FOR ALL ADD-ONS?00